Subject: Re: bug#14998: AutoMake test failures
From: Stefano Lattarini <[email-masked]>
To: Carl Reynolds <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 Oct 2013 22:25:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Carl.  Thanks for the report, and sorry for the awful delay.

On 08/01/2013 03:34 PM, Carl Reynolds wrote:
> I'm trying to make automate on my MacBook with Darwin 11.4.2.
> It completed the 'make' OK, but 'make check' threw a number of failures.
> 
> I've attached the test log for your information. 
> 
> 
> I'm not sure what the meaning of these failures is.
>
See below.

> =========================================
>    GNU Automake 1.14: ./test-suite.log
> =========================================
>
> # TOTAL: 2803
> # PASS:  2615
> # SKIP:  127
> # XFAIL: 41
> # FAIL:  20
> # XPASS: 0
> # ERROR: 0
>
>
> FAIL: t/depcomp2
> ================
>
> Running from installcheck: no
> Test Protocol: none
> PATH = /Users/carlreynolds/src/automake-1.14/t/wrap:/Users/carlreynolds/src/automake-1.14/t/ax:/Users/carlreynolds/bin:/Library/Frameworks/GTK+.framework/Resources/bin:/usr/local/bin:/usr/local/mysql/bin:/usr/local/texlive/2013/bin/x86_64-darwin:/usr/X11/bin:/usr/bin:/bin:/usr/sbin:/sbin
> ++ pwd
> /Users/carlreynolds/src/automake-1.14/t/depcomp2.dir
> + cat
> + cat
> + rm -f depcomp
> + mkdir subdir
> + cat
> + :
> + aclocal-1.14 -Werror
> + automake-1.14 --foreign -Werror -Wall --add-missing
> + autoconf
> + ./configure
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... ./install-sh -c -d
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking whether make supports nested variables... yes
> checking for gcc... gcc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking whether gcc understands -c and -o together... yes
> checking for style of include used by make... GNU
> checking dependency style of gcc... none
> checking that generated files are newer than configure... done
> configure: creating ./config.status
> config.status: creating Makefile
> config.status: creating subdir/Makefile
> config.status: executing depfiles commands
> + cat stderr
> rm: conftest.dSYM: is a directory
> + test '!' -s stderr
> + am_exit_trap 1
> + exit_status=1
>
This is the same as bug#14706, a spurious testsuite failure which has
already been fixed in the git repository.  The fix will appear in
Automake 1.14.1 (whenever that is released).

> FAIL: t/distcheck-override-infodir
> ==================================
>
> distcheck-override-infodir: running makeinfo --version
> makeinfo (GNU texinfo) 4.8
>
This version of makeinfo/Texinfo is too old, modern automake versions
(1.13 and later) require at lease version 4.9.  Please update your
Texinfo installation if you can.

The same considerations apply to these other failures:

> FAIL: t/instdir-texi
> FAIL: t/silent-texi
> FAIL: t/txinfo-builddir
> FAIL: t/txinfo-clean
> FAIL: t/txinfo-info-in-srcdir
> FAIL: t/txinfo-include
> FAIL: t/txinfo-many-output-formats
> FAIL: t/txinfo-many-output-formats-vpath
> FAIL: t/txinfo-no-clutter
> FAIL: t/txinfo-override-texinfo-tex
> FAIL: t/txinfo-subdir-pr343
> FAIL: t/txinfo-vtexi4
> FAIL: t/txinfo-without-info-suffix
> FAIL: t/txinfo23
> FAIL: t/txinfo24
> FAIL: t/txinfo25
> FAIL: t/txinfo28
> FAIL: t/version7

Since all the failures where either already fixed or due to mismatched tools
versions, I'm closing this bug report.

> I'm getting similar results trying to build
> libtool: The 'make' completes, but 'make check' creates failures.
>
Libtool is a separate project; you should report bugs and testsuite
failures to [email-masked].

Thanks,
  Stefano